Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161660 - yum fails to honor --exclude= settings
Summary: yum fails to honor --exclude= settings
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-25 03:05 UTC by james
Modified: 2014-01-21 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 05:49:22 UTC


Attachments (Terms of Use)

Description james 2005-06-25 03:05:05 UTC
From Bugzilla Helper:
User-Agent: Opera/8.0 (X11; Linux i686; U; en)

Description of problem:
$ yum -y --exclude=gnome-blog --exclude=rpm-devel --exclude=wl-xemacs update
...
--> Finished Dependency Resolution
Error: Missing Dependency: apel-xemacs >= 10.5 is needed by package wl-xemacs
Error: Missing Dependency: sqlite-devel is needed by package rpm-devel

Additionally, yum is still missing a command line switch to force yum to continue to install other packages.
Yum can still not be used in automated scripts, but must be managed interactively.  The probability of a failed 
update, for one reason or another, usually dependency related, is around 50%.

Version-Release number of selected component (if applicable):
yum-2.3.2-7

How reproducible:
Always

Steps to Reproduce:
1.yum -y --exclude=gnome-blog --exclude=rpm-devel --exclude=wl-xemacs update
2.
3.
  

Additional info:

Comment 1 Seth Vidal 2005-06-27 05:48:36 UTC
yum's excluding doesn'y ignore installed packages.

What's happening is that something is removing or updating an installed package
and  other installed packages are complaining about a dep going away.

in the case of wl-xemacs - the only option is to remove wl-xemacs iirc.



Note You need to log in before you can comment on or make changes to this bug.